Groovy Documentation

## org.codehaus.groovy.grails.orm.hibernate.cfg
[Groovy] Class GORMEnhancingBeanPostProcessor

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.GORMEnhancingBeanPostProcessor

    class GORMEnhancingBeanPostProcessor

A BeanPostProcessor that enhances an existing SessionFactory with GORM behavior.

Authors:
  Graeme Rocher

Since:
  1.1

Property Summary
`ApplicationContext` | `applicationContext`

Method Summary
`java.lang.Object` | `postProcessAfterInitialization(java.lang.Object bean, java.lang.String beanName)`
`java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### applicationContext

    ApplicationContext applicationContext

Method Detail

### postProcessAfterInitialization

    java.lang.Object postProcessAfterInitialization(java.lang.Object bean, java.lang.String beanName)

### postProcessBeforeInitialization

    java.lang.Object postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)

Groovy Documentation